GET /v1/situation/universe
Available tickers (and ticker search) covered by situation-monitor, for the Situation trigger's ticker filter

Query Parameters

q string optional query
Search query (ranked). When omitted, returns the rank-ordered listing.
asset_class string optional query
Filter listing by asset class (equity | crypto | index)
limit integer optional query
Limit (default 20, max 100)
offset integer optional query
Offset (default 0, listing only)

Responses

200 OK
application/json
hasMore boolean
items object[]
Array of:
exchange string
name string
symbol string
type string
limit integer
offset integer
400 Bad Request
503 Service Unavailable
curl -X GET 'https://api.example.com/v1/situation/universe' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/situation/universe', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/situation/universe', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/situation/universe", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "hasMore": true,  "items": [    {      "exchange": "<string>",      "name": "<string>",      "symbol": "<string>",      "type": "<string>"    }  ],  "limit": 123,  "offset": 123}